#pragma once
#include "afxcmn.h"

typedef struct EntryGprsAccess {
  int     LAI;
  int     IP;
  int     Subnet;
  int     Gateway;
  int     DNS1;
  int     DNS2;
  CString Username;
  CString Password;
  CString APN;
} tdefGprsAccess;

// CDlgGPRSSetup dialog

class CDlgGPRSSetup : public CDialog
{
DECLARE_DYNAMIC(CDlgGPRSSetup)

public:
               CDlgGPRSSetup(CWnd* pParent = NULL);   // standard constructor
  virtual      ~CDlgGPRSSetup();

// Dialog Data
  enum { IDD = IDD_GPRSSETUP };

  CTabCtrl        c_Tab;
  int             m_lai;
  CString         m_username;
  CString         m_password;
  CString         m_apn;
  DWORD           m_ip;
  DWORD           m_subnet;
  DWORD           m_gateway;
  DWORD           m_dns1;
  DWORD           m_dns2;

  tdefGprsAccess  m_Entry[5];
  int             m_Index;

protected:
  void         VarToView(const int tab);
  void         ViewToVar(const int tab);

  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
  virtual void OnOK();
  afx_msg void OnTcnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult);

  DECLARE_MESSAGE_MAP()
};
