#pragma once
#include "afxcmn.h"

typedef struct EntryInput {
  int     HoldTime;
  BOOL    on;
  BOOL    off;
} tdefInput;


// CPageActions dialog

class CPageActions : public CPropertyPage
{
  DECLARE_DYNAMIC(CPageActions)

public:
  CPageActions();
  virtual ~CPageActions();

// Dialog Data
  enum { IDD = IDD_PAGE_ACTIONS };

protected:
  CTabCtrl  c_tab;
  int       m_din_hold;
  BOOL      m_din_on;
  BOOL      m_din_off;
  int       m_fence_lat;
  int       m_fence_lon;
  int       m_fence_dist;
  BOOL      m_fence_enter;
  BOOL      m_fence_exit;
  int       m_pos_freq;
  BOOL      m_power_int;
  BOOL      m_power_ext;
  int       m_speed_limit;
  int       m_speed_hold;
  BOOL      m_speed_falling;
  BOOL      m_speed_raising;

  tdefInput m_Entry[5];
  int       m_Index;

protected:
  void         VarToView(const int tab);
  void         ViewToVar(const int tab);

  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
  afx_msg void OnInputSet();
  afx_msg void OnSetGeofence();
  afx_msg void OnSetPosfreq();
  afx_msg void OnSetPower();
  afx_msg void OnSetSpeed();

  DECLARE_MESSAGE_MAP()
public:
  afx_msg void OnTcnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult);
};
